Models/issuebook.cs
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace lib.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class issuebook
    {
        public int id { get; set; }
        public Nullable<int> m_id { get; set; }
        public string book_id { get; set; }
        public Nullable<System.DateTime> issuedate { get; set; }
        public Nullable<System.DateTime> returndate { get; set; }
    }
}

Controllers/IssueBookController.cs
using lib.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace lib.Controllers
{
    public class IssueBookController : Controller
    {
        libEntities db = new libEntities();
        // GET: IssueBook
        public ActionResult Index()
        {
            return View();
        }

        [HttpGet]
        public ActionResult GetBook()
        {
            var books = db.books.Select(p => new
            {
                ID = p.id,
                Bname = p.bname

            }).ToList();
            return Json(books, JsonRequestBehavior.AllowGet);
        }

        [HttpPost]
        public ActionResult GetMid(int mid)
        {
            var memberid = (from s in db.members where s.id == mid select s.name).ToList();
            return Json(memberid, JsonRequestBehavior.AllowGet);
        }

        [HttpPost]
        public ActionResult Save(issuebook issue)
        {
            if (ModelState.IsValid)
            {
                db.issuebooks.Add(issue);
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(issue);
        }

    }
}

Views/IssueBook/Index.cshtml
<div class="row">
    <div class="col-sm-4">
        @using (Html.BeginForm("Save", "IssueBook", FormMethod.Post))
        {
            <div>
                <h3>Issue Book</h3>
            </div>
            <div class="form-group">
                <label>Member ID</label>
                <input type="text" id="m_id" name="m_id" class="form-control" placeholder="Member ID" required />
            </div>

            <div class="form-group">
                <label>Member Name</label>
                <input type="text" id="mname" name="mname" class="form-control" placeholder="Member Name" required />
            </div>

            <div class="form-group">
                <label>Book</label>
                <select class="form-control" id="book_id" name="book_id">
                    <option>Please Select</option>
                </select>
            </div>

            <div class="form-group">
                <label>Issue Date</label>
                <input type="date" id="issuedate" name="issuedate" class="form-control" required />
            </div>

            <div class="form-group">
                <label>Return Date</label>
                <input type="date" id="returndate" name="returndate" class="form-control" required />
            </div>

            <div class="form-group">

                <input type="submit" value="Save" class="btn btn-success" required />
            </div>
        }
    </div>
</div>

@section scripts{

    <script src="~/Scripts/jquery-3.5.1.js"></script>
    <script src="~/Scripts/jquery-3.5.1.min.js"></script>
    <script src="~/Scripts/jquery.validate.min.js"></script>

    <script>
        getMid();
        getBooks();
        @*to get mname while entering mid*@
        function getMid() {

            $('#m_id').keyup(function (e) {

                $.ajax({
                    type: 'POST',
                    url: '/IssueBook/GetMid?mid=' + $('#m_id').val(),
                    dataType: 'JSON',
                    success: function (data) {
                        $('#mname').val(data);
                    }
                });
            });
        }

        function getBooks() {           

                $.ajax({
                    type: 'GET',
                    url: '/IssueBook/GetBook',
                    dataType: 'JSON',
                    success: function (data)
                    {
                        console.log(data);

                        for (var i = 0; i < data.length; i++)
                        {
                            $('#book_id').append($("<option/>",
                            {
                                text: data[i].Bname
                            }));
                        }
                        
                    },
                    error: function (xhr, status, error) {
                        alert(xhr.responseText);
                    }
                });
            
        }

    </script>


}